Bug 1017678 - Review Request: hibernate-hql - Hibernate Query Parser
Review Request: hibernate-hql - Hibernate Query Parser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 1017645
Blocks: 1016622 1019191
  Show dependency treegraph
 
Reported: 2013-10-10 06:24 EDT by Marek Goldmann
Modified: 2013-10-28 05:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: hibernate-hql-1.0.0-0.2.Alpha5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 05:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2013-10-10 06:24:35 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/hibernate-hql/1/hibernate-hql.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/hibernate-hql/1/hibernate-hql-1.0.0-0.1.Alpha5.fc19.src.rpm
Fedora Account System Username: goldmann

Description:

Experimental new parser for HQL and JP-QL queries, to convert these into SQL
and other different targets such as Lucene queries, Map/Reduce queries for
NoSQL stores, make it possible to perform more sophisticated SQL
transformations.
Comment 1 Marek Goldmann 2013-10-18 11:16:51 EDT
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6075372
Comment 2 gil cattaneo 2013-10-18 12:40:17 EDT
Manual review
cause: Error: No package found for hibernate-search



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 110 files have unknown license.
     Detailed output of licensecheck in /home/gil/1017678-hibernate-hql/srpm
     /review-hibernate-hql/licensecheck.txt
 PLEASE fix license field
[x]: License file installed when any subpackage combination is installed.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: Dist tag is present (not strictly required in GL).
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hibernate-
     hql-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.33 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.33
INFO: Mock Version: 1.1.33
Start: lock buildroot
INFO: installing package(s): /home/gil/1017678-hibernate-hql/srpm/hibernate-hql-1.0.0-0.1.Alpha5.fc21.noarch.rpm /home/gil/1017678-hibernate-hql/srpm/hibernate-hql-javadoc-1.0.0-0.1.Alpha5.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-19-i386/root/', 'install', '/home/gil/1017678-hibernate-hql/srpm/hibernate-hql-1.0.0-0.1.Alpha5.fc21.noarch.rpm', '/home/gil/1017678-hibernate-hql/srpm/hibernate-hql-javadoc-1.0.0-0.1.Alpha5.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']
Errore: Pacchetto: hibernate-hql-1.0.0-0.1.Alpha5.fc21.noarch (/hibernate-hql-1.0.0-0.1.Alpha5.fc21.noarch)
            Richiede: mvn(org.hibernate:hibernate-search-engine)
 Si può provare ad usare --skip-broken per aggirare il problema
 Provare ad eseguire: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: hibernate-hql-1.0.0-0.1.Alpha5.fc21.noarch.rpm
          hibernate-hql-javadoc-1.0.0-0.1.Alpha5.fc21.noarch.rpm
          hibernate-hql-1.0.0-0.1.Alpha5.fc21.src.rpm
hibernate-hql.noarch: E: incorrect-fsf-address /usr/share/doc/hibernate-hql/license.txt
hibernate-hql-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
hibernate-hql-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/hibernate-hql-javadoc/license.txt
3 packages and 0 specfiles checked; 2 errors, 1 warnings.




Requires
--------
hibernate-hql-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

hibernate-hql (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(org.antlr:antlr-runtime)
    mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
    mvn(org.hibernate:hibernate-search-engine)
    mvn(org.jboss.logging:jboss-logging)



Provides
--------
hibernate-hql-javadoc:
    hibernate-hql-javadoc

hibernate-hql:
    hibernate-hql
    mvn(org.hibernate.hql:hibernate-hql-lucene)
    mvn(org.hibernate.hql:hibernate-hql-parent)
    mvn(org.hibernate.hql:hibernate-hql-parent:pom:)
    mvn(org.hibernate.hql:hibernate-hql-parser)



Source checksums
----------------
https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/hibernate/hql/hibernate-hql-parser/1.0.0.Alpha5/hibernate-hql-parser-1.0.0.Alpha5.pom :
  CHECKSUM(SHA256) this package     : 06c3cb067f9ab3156f07917a2dcf79d820a7aa066c1c12925a82f1b3a4c7f9b6
  CHECKSUM(SHA256) upstream package : 06c3cb067f9ab3156f07917a2dcf79d820a7aa066c1c12925a82f1b3a4c7f9b6
https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/hibernate/hql/hibernate-hql-lucene/1.0.0.Alpha5/hibernate-hql-lucene-1.0.0.Alpha5.pom :
  CHECKSUM(SHA256) this package     : 3702dccd44851f3b5b377a2d028bbbabe4dde0f07c042142284e7b520b68bce5
  CHECKSUM(SHA256) upstream package : 3702dccd44851f3b5b377a2d028bbbabe4dde0f07c042142284e7b520b68bce5
https://github.com/hibernate/hibernate-hql-parser/archive/1.0.0.Alpha5.tar.gz :
  CHECKSUM(SHA256) this package     : ea1a2fa58b2c7498893fb1d4b153f52d62f18a3686c30c345159760d73663f7d
  CHECKSUM(SHA256) upstream package : ea1a2fa58b2c7498893fb1d4b153f52d62f18a3686c30c345159760d73663f7d


Jar and class files in source
-----------------------------
./hibernate-hql-parser-1.0.0.Alpha5/gradle/wrapper/gradle-wrapper.jar


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -vpn hibernate-hql
Buildroot used: fedora-19-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Please, before importing fix this problems:

hibernate-hql-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/hibernate-hql-javadoc/license.txt

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," license.txt

remove gradle/wrapper/gradle-wrapper.jar
find . -name '*.jar' -delete
find . -name '*.class' -delete

Apache (v2.0)
-------------
buildSrc/src/main/groovy/org/hibernate/build/gradle/api/plugins/antlr/AntlrSourceVirtualDirectory.java
buildSrc/src/main/groovy/org/hibernate/build/gradle/api/plugins/antlr/internal/AntlrSourceVirtualDirectoryImpl.java
fix license field

approved
Comment 3 Marek Goldmann 2013-10-18 13:01:07 EDT
Thanks, I'll fix it at import time!

New Package SCM Request
=======================
Package Name: hibernate-hql
Short Description: Hibernate Query Parser
Owners: goldmann
Branches: f20
Comment 4 Gwyn Ciesla 2013-10-18 13:13:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.